<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style type="text/css">
		#map_canvas{
			width:1200px;
			height: 800px;
		}
	</style>
	

	<script type="text/javascript">
		function initMap() {
			/*var mapCanvas = document.getElementById("mapa");
  			var mapOptions = {
    			center: new google.maps.LatLng(51.508742, -0.120850),
    			zoom: 5
  			};
  			var map = new google.maps.Map(mapCanvas, mapOptions);*/

  			// Creamos el Objeto Geocoder
		var geocoder = new google.maps.Geocoder();
		// Hacemos la petición indicando la dirección e invocamos la función
		// geocodeResult enviando todo el resultado obtenido
		geocoder.geocode({ 'address': 'alpe formacion'}, geocodeResult);
      	}

      	function geocodeResult(results,status){
      		 // Verificamos el estatus
    if (status == 'OK') {
        // Si hay resultados encontrados, centramos y repintamos el mapa
        // esto para eliminar cualquier pin antes puesto
        var mapOptions = {
            center: results[0].geometry.location
        };
        
        map = new google.maps.Map(document.querySelector("#map_canvas"), mapOptions);
        // fitBounds acercará el mapa con el zoom adecuado de acuerdo a lo buscado
        map.fitBounds(results[0].geometry.viewport);
        // Dibujamos un marcador con la ubicación del primer resultado obtenido
        var markerOptions = { position: results[0].geometry.location }
        var marker = new google.maps.Marker(markerOptions);
        marker.setMap(map);
    } else {
        // En caso de no haber resultados o que haya ocurrido un error
        // lanzamos un mensaje con el error
        alert("Geocoding no tuvo éxito debido a: " + status);
    }

      	}

		



	</script>
</head>
<body>
<div id="map_canvas"></div>
<script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBCPlOebFsE6AmAs5dkkr05gou94thBVng&callback=initMap"></script>
</body>
</html>